import { InjectionToken } from '@angular/core';
import { Subject } from 'rxjs';
import * as i0 from "@angular/core";
export interface ImageOverlayData {
    images: string[];
    currentImage?: string;
}
export declare const IMAGE_OVERLAY_DATA_TOKEN: InjectionToken<ImageOverlayData>;
export declare class AngularMaterialImageOverlayComponent {
    imageOverlayData: ImageOverlayData;
    private currentImageIndex;
    private images;
    currentImage: string;
    onKeydown: Subject<string>;
    onClose: Subject<void>;
    constructor(imageOverlayData: ImageOverlayData);
    private obtainCurrentImageIndex;
    private handleKeydown;
    close(): void;
    nextImage(): void;
    previousImage(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AngularMaterialImageOverlayComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AngularMaterialImageOverlayComponent, "ng-component", never, {}, {}, never, never>;
}
