import { Injector, ComponentRef } from '@angular/core';
import { Overlay, OverlayRef } from '@angular/cdk/overlay';
import { AngularMaterialImageOverlayComponent } from './angular-material-image-overlay.component';
import * as i0 from "@angular/core";
export declare class AngularMaterialImageOverlayService {
    private injector;
    private overlay;
    imageOverlayComponentRef: ComponentRef<AngularMaterialImageOverlayComponent>;
    overlayRef: OverlayRef;
    constructor(injector: Injector, overlay: Overlay);
    private buildInjector;
    private buildOverlayConfig;
    open(images: string[], currentImage?: string): void;
    private onKeydown;
    static ɵfac: i0.ɵɵFactoryDeclaration<AngularMaterialImageOverlayService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<AngularMaterialImageOverlayService>;
}
